summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2014-03-10 08:38:29 +0700
committer Erik Hanson <erik@slackbuilds.org>2014-03-12 12:42:50 -0500
commit3c537a9046d77731ccdc72d6d7f1995b91aa19d4 (patch)
tree0967a2b6dcf15fe0456baa24f0657fec0fb382a6 /audio
parent679317944c7bb9c84a529f98d4a253d2bd48dcf5 (diff)
downloadslackbuilds-3c537a9046d77731ccdc72d6d7f1995b91aa19d4.tar.gz
slackbuilds-3c537a9046d77731ccdc72d6d7f1995b91aa19d4.tar.xz
audio/creox4: Added (guitar/etc effects for JACK).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/creox4/README13
-rw-r--r--audio/creox4/creox4.SlackBuild94
-rw-r--r--audio/creox4/creox4.info10
-rw-r--r--audio/creox4/doinst.sh9
-rw-r--r--audio/creox4/setcap.sh1
-rw-r--r--audio/creox4/slack-desc19
6 files changed, 146 insertions, 0 deletions
diff --git a/audio/creox4/README b/audio/creox4/README
new file mode 100644
index 0000000000..b47357b420
--- /dev/null
+++ b/audio/creox4/README
@@ -0,0 +1,13 @@
+creox4 (guitar/etc effects for JACK)
+
+Creox is a real-time sound processor. You can plug your electric guitar
+or any other musical instrument directly to the PC's sound card and start
+experimenting with various sound effects. Creox has a nice user-friendly
+GUI, a preset support, a low-latency DSP engine and each effect parameter
+can be altered "on the fly".
+
+This package uses POSIX filesystem capabilities to execute with
+elevated privileges (required for realtime audio processing). This
+may be considered a security/stability risk. Please read
+http://www.slackbuilds.org/caps/ for more information. To disable
+capabilities, pass SETCAP=no to the script.
diff --git a/audio/creox4/creox4.SlackBuild b/audio/creox4/creox4.SlackBuild
new file mode 100644
index 0000000000..fc188da82b
--- /dev/null
+++ b/audio/creox4/creox4.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for creox4
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+PRGNAM=creox4
+VERSION=${VERSION:-20140309}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+# hate when the binary name is different from the package name.
+mv $PKG/usr/bin/creox $PKG/usr/bin/$PRGNAM
+ln -s $PRGNAM $PKG/usr/bin/creox
+
+# nothing useful here anyway, just the same paragraph from README
+rm -rf $PKG/usr/share/doc
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BUGS COPYING ChangeLog README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Only add capability stuff if not disabled:
+if [ "${SETCAP:-yes}" = "yes" ]; then
+ cat $CWD/setcap.sh >> $PKG/install/doinst.sh
+ # Only allow execution by audio group
+ chown root:audio $PKG/usr/bin/$PRGNAM
+ chmod 0750 $PKG/usr/bin/$PRGNAM
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/creox4/creox4.info b/audio/creox4/creox4.info
new file mode 100644
index 0000000000..299faa900f
--- /dev/null
+++ b/audio/creox4/creox4.info
@@ -0,0 +1,10 @@
+PRGNAM="creox4"
+VERSION="20140309"
+HOMEPAGE="http://www.stacktrace.dk/project/creox-4/"
+DOWNLOAD="http://urchlay.naptime.net/~urchlay/src/creox4-20140309.tar.gz"
+MD5SUM="68783d31cca9358e1e26a95c76f5cfe9"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="jack-audio-connection-kit"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/audio/creox4/doinst.sh b/audio/creox4/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/audio/creox4/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/audio/creox4/setcap.sh b/audio/creox4/setcap.sh
new file mode 100644
index 0000000000..ca9e22ee03
--- /dev/null
+++ b/audio/creox4/setcap.sh
@@ -0,0 +1 @@
+[ -x /sbin/setcap ] && /sbin/setcap cap_ipc_lock,cap_sys_nice=ep usr/bin/creox4
diff --git a/audio/creox4/slack-desc b/audio/creox4/slack-desc
new file mode 100644
index 0000000000..d50b232b00
--- /dev/null
+++ b/audio/creox4/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+creox4: creox4 (guitar/etc effects for JACK)
+creox4:
+creox4: Creox is a real-time sound processor. You can plug your electric
+creox4: guitar or any other musical instrument directly to the PC's sound
+creox4: card and start experimenting with various sound effects. Creox has
+creox4: a nice user-friendly GUI, a preset support, a low-latency DSP engine
+creox4: and each effect parameter can be altered "on the fly".
+creox4:
+creox4:
+creox4:
+creox4: